---
updatedAt: 2026-05-02T21:29:11.000Z
agentTools:
  projectIndex: https://developer.tenable.com/llms.txt
---

# Get user details

Returns details for a specific user.<div class="perms-callout">Requires the Administrator [64] user role or the `PS.ACCT_MGMT.AM_ACCESS_CONTROL.READ` custom role privilege. See [Roles](doc:roles).</div>

# OpenAPI definition

```json
{
  "openapi": "3.1.2",
  "info": {
    "title": "Tenable Platform & Settings",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://cloud.tenable.com"
    }
  ],
  "tags": [
    {
      "name": "Access Control (Users)",
      "x-displayName": "Access Control (Users)"
    }
  ],
  "paths": {
    "/users/{user_id}": {
      "get": {
        "summary": "Get user details",
        "description": "Returns details for a specific user.<div class=\"perms-callout\">Requires the Administrator [64] user role or the `PS.ACCT_MGMT.AM_ACCESS_CONTROL.READ` custom role privilege. See [Roles](doc:roles).</div>",
        "operationId": "users-details",
        "tags": [
          "Access Control (Users)"
        ],
        "parameters": [
          {
            "description": "Specifies the UUID (`uuid`) or unique ID (`id`) of the user.",
            "required": true,
            "name": "user_id",
            "in": "path",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned if the user details were retrieved successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Access_Control_Users_user-object"
                },
                "examples": {
                  "response": {
                    "value": {
                      "uuid": "60f73e4f-8983-41c2-a13c-39074cbb6229",
                      "id": 2247978,
                      "user_name": "user@example.com",
                      "username": "user@example.com",
                      "email": "user@example.com",
                      "name": "User One",
                      "type": "local",
                      "permissions": 64,
                      "last_login_attempt": 1736064270871,
                      "login_fail_count": 0,
                      "login_fail_total": 5,
                      "last_apikey_access": 1782787386952,
                      "enabled": true,
                      "undeletable": true,
                      "group_uuids": [
                        "f3cd0bb2-cabb-4825-9d0c-49c77fe5fba7",
                        "00000000-0000-0000-0000-000000000000"
                      ],
                      "lockout": 0,
                      "preferences": {
                        "enableExplore": "true",
                        "defaultApp": "null",
                        "enableWebAppWorkbench": "false",
                        "pinnedExposureInitiatives": "[]",
                        "tenableGridState": "{\"Settings_User_Group_Users\":{\"columns\":{\"user_name\":{\"hide\":false,\"sort\":null,\"sortIndex\":null,\"order\":1},\"name\":{\"hide\":false,\"sort\":null,\"sortIndex\":null,\"order\":2},\"twoFactor\":{\"hide\":false,\"sort\":null,\"sortIndex\":null,\"order\":3},\"lastlogin\":{\"hide\":false,\"sort\":null,\"sortIndex\":null,\"order\":4},\"last_login_attempt\":{\"hide\":false,\"sort\":null,\"sortIndex\":null,\"order\":5},\"login_fail_total\":{\"hide\":false,\"sort\":null,\"sortIndex\":null,\"order\":6},\"last_apikey_access\":{\"hide\":false,\"sort\":null,\"sortIndex\":null,\"order\":7},\"role\":{\"hide\":false,\"sort\":null,\"sortIndex\":null,\"order\":8}}}}",
                        "enableAssetWorkbench": "false",
                        "enableVMWorkbench": "false",
                        "enableExploreV2": "false"
                      },
                      "container_uuid": "270f77d7-3b5b-478c-ac06-be827c00753e",
                      "lastlogin": 1759474102779,
                      "uuid_id": "60f73e4f-8983-41c2-a13c-39074cbb6229"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Returned if the API keys specified in your request are invalid.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Access_Control_Users_ErrorResponse"
                },
                "examples": {
                  "response": {
                    "value": {
                      "statusCode": 401,
                      "error": "Unauthorized",
                      "message": "Invalid credentials."
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Returned if you do not have permission to view the user details."
          },
          "404": {
            "description": "Returned if Tenable Vulnerability Management cannot find the specified user."
          },
          "429": {
            "description": "Returned if you attempt to send too many requests in a specific period of time. For more information, see [Rate Limiting](doc:rate-limiting).",
            "content": {
              "text/html": {
                "examples": {
                  "response": {
                    "value": "<html>\n\n<head>\n    <title>429 Too Many Requests</title>\n</head>\n\n<body bgcolor=\"white\">\n    <center>\n        <h1>429 Too Many Requests</h1>\n    </center>\n    <hr>\n    <center>nginx</center>\n</body>\n\n</html>"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Returned if an internal error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Access_Control_Users_ErrorResponse"
                },
                "examples": {
                  "response": {
                    "value": {
                      "statusCode": 500,
                      "error": "Internal Server Error",
                      "message": "An internal server error occurred. Please wait a moment and try your request again."
                    }
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "cloud": []
          }
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "cloud": {
        "type": "apiKey",
        "in": "header",
        "name": "X-ApiKeys",
        "description": "Format - accessKey=ACCESS_KEY;secretKey=SECRET_KEY"
      }
    },
    "schemas": {
      "Access_Control_Users_user-object": {
        "type": "object",
        "properties": {
          "uuid": {
            "type": "string",
            "description": "The UUID of the user."
          },
          "id": {
            "type": "integer",
            "description": "The unique ID of the user."
          },
          "user_name": {
            "type": "string",
            "description": "The username for the user."
          },
          "username": {
            "type": "string",
            "description": "The username for the user."
          },
          "email": {
            "type": "string",
            "description": "The email address of the user. If this attribute is empty, Tenable Vulnerability Management uses the `username` value as the user's email address."
          },
          "name": {
            "type": "string",
            "description": "The name of the user (for example, first and last name)."
          },
          "type": {
            "type": "string",
            "description": "The type of user. The only supported type is `local`."
          },
          "permissions": {
            "type": "integer",
            "description": "The user permissions as described in [Permissions](doc:permissions).",
            "format": "int32"
          },
          "rbac_roles": {
            "type": "array",
            "description": "The role-based access control (RBAC) roles assigned to the user. This property is only present in the response when the `withRoles` query parameter is set to `true`. For more information, see [Roles](doc:roles).",
            "items": {
              "type": "object",
              "properties": {
                "name": {
                  "type": "string",
                  "description": "The name of the role assigned to the user."
                },
                "uuid": {
                  "type": "string",
                  "format": "uuid",
                  "description": "The unique identifier (UUID) of the role assigned to the user."
                }
              }
            }
          },
          "ui_permitted": {
            "type": "boolean",
            "description": "Indicates whether the user is permitted to log in to the Tenable Vulnerability Management user interface."
          },
          "ui_saml_only": {
            "type": "boolean",
            "description": "Indicates whether the user is restricted to SAML-based authentication for user interface access (`true`) or can use other authentication methods (`false`)."
          },
          "api_permitted": {
            "type": "boolean",
            "description": "Indicates whether the user is permitted to authenticate using API keys."
          },
          "last_login_attempt": {
            "type": "integer",
            "description": "A timestamp in Unix milliseconds indicating the last time the user failed to log in to the Tenable Vulnerability Management user interface. This attribute is only present if the user has attempted unsuccessfully to log in at least once."
          },
          "login_fail_count": {
            "type": "integer",
            "description": "The number of failed login attempts since the user last successfully logged in to the Tenable Vulnerability Management user interface. \n\nIf this attribute is greater than 5, Tenable Vulnerability Management locks the user account (that is, updates the `lockout` attribute for the user to `1`.)\n\nYou can reset this count to `0` by [changing the user's password](ref:users-password) or [generating the user's API keys](ref:users-keys)."
          },
          "login_fail_total": {
            "type": "integer",
            "description": "The total number of failed login attempts for the user."
          },
          "last_apikey_access": {
            "type": "integer",
            "description": "A timestamp in Unix milliseconds indicating the last time the user authenticated using API keys. This property is only present if the user has made at least one API key-authenticated request."
          },
          "enabled": {
            "type": "boolean",
            "description": "Specifies whether the user account is enabled (`true`) or disabled (`false`)."
          },
          "undeletable": {
            "type": "boolean",
            "description": "Specifies whether the user account is undeletable (`true`) or deletable (`false`)."
          },
          "two_factor": {
            "description": "An object containing the user's two-factor authentication settings. This property is only present if the user has two-factor authentication configured.",
            "$ref": "#/components/schemas/Access_Control_Users_TwoFactor"
          },
          "group_uuids": {
            "type": "array",
            "description": "The unique identifiers (UUIDs) of the user groups to which the user belongs.",
            "items": {
              "type": "string",
              "format": "uuid"
            }
          },
          "lockout": {
            "type": "integer",
            "description": "Specifies whether the user can log into the Tenable Vulnerability Management user interface (`0`) or is locked out (`1`).\n\nTenable Vulnerability Management automatically updates this attribute to `1` if the `login_fail_count` attribute for the user is greater than 5. To unlock a user account, reset the user's password using the [PUT /users/{user_id}/chpasswd](ref:users-password) endpoint.\n\n**Note:** A user can be locked out of the user interface but still submit API requests if they are assigned the appropriate authorizations (`api_permitted`). To prevent a user from submitting API requests, limit authorizations using the [PUT /users/{user_id}/authorizations](ref:users-update-auths) endpoint, or disable the user entirely using the [PUT /users/{user_id}/enabled](ref:users-enabled) endpoint."
          },
          "container_uuid": {
            "type": "string",
            "description": "The UUID of the Tenable Vulnerability Management instance to which the user belongs."
          },
          "lastlogin": {
            "type": "integer",
            "description": "A timestamp in Unix milliseconds indicating the last time the user successfully logged in to the Tenable Vulnerability Management user interface. This attribute is only present if the user has logged in successfully at least once."
          },
          "preferences": {
            "type": "object",
            "description": "An object containing the user's saved UI preferences for the Tenable Vulnerability Management interface, such as enabled features and column visibility settings. The properties of this object vary based on the user's configuration.",
            "additionalProperties": {
              "type": "string"
            }
          },
          "uuid_id": {
            "type": "string",
            "description": "The UUID for the user."
          },
          "object": {
            "type": "string",
            "description": "The type of object the response describes, for example `user`."
          }
        }
      },
      "Access_Control_Users_TwoFactor": {
        "type": "object",
        "properties": {
          "sms_phone": {
            "type": "string",
            "description": "The phone number used for two-factor authentication. The phone number begins with the `+` character and the country code. This field is required when sms_enabled is set to `true`."
          },
          "sms_enabled": {
            "type": "integer",
            "description": "Indicates whether two-factor authentication is enabled (`1`) or disabled (`0`)."
          },
          "email_enabled": {
            "type": "integer",
            "description": "Indicates whether backup notification for two-factor authentication is enabled (`1`) or disabled (`0`). If enabled, Tenable Vulnerability Management sends the two-factor verification code via e-mail, as well as via the default SMS message."
          }
        }
      },
      "Access_Control_Users_ErrorResponse": {
        "type": "object",
        "properties": {
          "statusCode": {
            "type": "integer",
            "description": "The HTTP status code of the error."
          },
          "error": {
            "type": "string",
            "description": "The standard HTTP error name."
          },
          "message": {
            "type": "string",
            "description": "A brief message about the cause of the error."
          }
        }
      }
    }
  },
  "x-readme": {
    "proxy-enabled": false,
    "samples-languages": [
      "python",
      "curl",
      "node",
      "powershell",
      "ruby",
      "javascript",
      "objectivec",
      "java",
      "php",
      "csharp",
      "go",
      "swift",
      "kotlin"
    ]
  }
}
```